# Uses of Class
java.nio.file.attribute.AclEntry

Packages that use AclEntry
Package
Description
java.nio.file.attribute
Interfaces and classes providing access to file and file system attributes.

## Uses of AclEntry in java.nio.file.attribute

Methods in java.nio.file.attribute that return AclEntry
Modifier and Type
Method
Description
`AclEntry`
AclEntry.Builder.`build()`
Constructs an `AclEntry` from the components of this builder.
Methods in java.nio.file.attribute that return types with arguments of type AclEntry
Modifier and Type
Method
Description
`List<AclEntry>`
AclFileAttributeView.`getAcl()`
Reads the access control list.
Methods in java.nio.file.attribute with parameters of type AclEntry
Modifier and Type
Method
Description
`static AclEntry.Builder`
AclEntry.`newBuilder​(AclEntry entry)`
Constructs a new builder with the components of an existing ACL entry.
Method parameters in java.nio.file.attribute with type arguments of type AclEntry
Modifier and Type
Method
Description
`void`
AclFileAttributeView.`setAcl​(List<AclEntry> acl)`
Updates (replace) the access control list.